com.amazonaws.services.elastictranscoder.model

## Class CreateJobRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.elastictranscoder.model.CreateJobRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateJobRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The `CreateJobRequest` structure.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateJobRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateJobRequest` `addUserMetadataEntry(String key, String value)`
`CreateJobRequest` `clearUserMetadataEntries()` Removes all the entries added into UserMetadata.
`CreateJobRequest` `clone()`
`boolean` `equals(Object obj)`
`JobInput` `getInput()` A section of the request body that provides information about the file that is being transcoded.
`List<JobInput>` `getInputs()` A section of the request body that provides information about the files that are being transcoded.
`CreateJobOutput` `getOutput()` A section of the request body that provides information about the transcoded (target) file.
`String` `getOutputKeyPrefix()` The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists.
`List<CreateJobOutput>` `getOutputs()` A section of the request body that provides information about the transcoded (target) files.
`String` `getPipelineId()` The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding.
`List<CreateJobPlaylist>` `getPlaylists()` If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), Playlists contains information about the master playlists that you want Elastic Transcoder to create.
`Map<String,String>` `getUserMetadata()` User-defined metadata that you want to associate with an Elastic Transcoder job.
`int` `hashCode()`
`void` `setInput(JobInput input)` A section of the request body that provides information about the file that is being transcoded.
`void` `setInputs(Collection<JobInput> inputs)` A section of the request body that provides information about the files that are being transcoded.
`void` `setOutput(CreateJobOutput output)` A section of the request body that provides information about the transcoded (target) file.
`void` `setOutputKeyPrefix(String outputKeyPrefix)` The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists.
`void` `setOutputs(Collection<CreateJobOutput> outputs)` A section of the request body that provides information about the transcoded (target) files.
`void` `setPipelineId(String pipelineId)` The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding.
`void` `setPlaylists(Collection<CreateJobPlaylist> playlists)` If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), Playlists contains information about the master playlists that you want Elastic Transcoder to create.
`void` `setUserMetadata(Map<String,String> userMetadata)` User-defined metadata that you want to associate with an Elastic Transcoder job.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateJobRequest` `withInput(JobInput input)` A section of the request body that provides information about the file that is being transcoded.
`CreateJobRequest` `withInputs(Collection<JobInput> inputs)` A section of the request body that provides information about the files that are being transcoded.
`CreateJobRequest` `withInputs(JobInput... inputs)` A section of the request body that provides information about the files that are being transcoded.
`CreateJobRequest` `withOutput(CreateJobOutput output)` A section of the request body that provides information about the transcoded (target) file.
`CreateJobRequest` `withOutputKeyPrefix(String outputKeyPrefix)` The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists.
`CreateJobRequest` `withOutputs(Collection<CreateJobOutput> outputs)` A section of the request body that provides information about the transcoded (target) files.
`CreateJobRequest` `withOutputs(CreateJobOutput... outputs)` A section of the request body that provides information about the transcoded (target) files.
`CreateJobRequest` `withPipelineId(String pipelineId)` The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding.
`CreateJobRequest` `withPlaylists(Collection<CreateJobPlaylist> playlists)` If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), Playlists contains information about the master playlists that you want Elastic Transcoder to create.
`CreateJobRequest` `withPlaylists(CreateJobPlaylist... playlists)` If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), Playlists contains information about the master playlists that you want Elastic Transcoder to create.
`CreateJobRequest` `withUserMetadata(Map<String,String> userMetadata)` User-defined metadata that you want to associate with an Elastic Transcoder job.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateJobRequest

    public CreateJobRequest()

### Method Detail

#### setPipelineId

    public void setPipelineId(String pipelineId)

The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding. The pipeline determines several settings, including the Amazon S3 bucket from which Elastic Transcoder gets the files to transcode and the bucket into which Elastic Transcoder puts the transcoded files.

Parameters:
  `pipelineId` - The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding. The pipeline determines several settings, including the Amazon S3 bucket from which Elastic Transcoder gets the files to transcode and the bucket into which Elastic Transcoder puts the transcoded files.

#### getPipelineId

    public String getPipelineId()

The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding. The pipeline determines several settings, including the Amazon S3 bucket from which Elastic Transcoder gets the files to transcode and the bucket into which Elastic Transcoder puts the transcoded files.

Returns:
  The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding. The pipeline determines several settings, including the Amazon S3 bucket from which Elastic Transcoder gets the files to transcode and the bucket into which Elastic Transcoder puts the transcoded files.

#### withPipelineId

    public CreateJobRequest withPipelineId(String pipelineId)

The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding. The pipeline determines several settings, including the Amazon S3 bucket from which Elastic Transcoder gets the files to transcode and the bucket into which Elastic Transcoder puts the transcoded files.

Parameters:
  `pipelineId` - The `Id` of the pipeline that you want Elastic Transcoder to use for transcoding. The pipeline determines several settings, including the Amazon S3 bucket from which Elastic Transcoder gets the files to transcode and the bucket into which Elastic Transcoder puts the transcoded files.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInput

    public void setInput(JobInput input)

A section of the request body that provides information about the file that is being transcoded.

Parameters:
  `input` - A section of the request body that provides information about the file that is being transcoded.

#### getInput

    public JobInput getInput()

A section of the request body that provides information about the file that is being transcoded.

Returns:
  A section of the request body that provides information about the file that is being transcoded.

#### withInput

    public CreateJobRequest withInput(JobInput input)

A section of the request body that provides information about the file that is being transcoded.

Parameters:
  `input` - A section of the request body that provides information about the file that is being transcoded.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getInputs

    public List<JobInput> getInputs()

A section of the request body that provides information about the files that are being transcoded.

Returns:
  A section of the request body that provides information about the files that are being transcoded.

#### setInputs

    public void setInputs(Collection<JobInput> inputs)

A section of the request body that provides information about the files that are being transcoded.

Parameters:
  `inputs` - A section of the request body that provides information about the files that are being transcoded.

#### withInputs

    public CreateJobRequest withInputs(JobInput... inputs)

A section of the request body that provides information about the files that are being transcoded.

NOTE: This method appends the values to the existing list (if any). Use `setInputs(java.util.Collection)` or `withInputs(java.util.Collection)` if you want to override the existing values.

Parameters:
  `inputs` - A section of the request body that provides information about the files that are being transcoded.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withInputs

    public CreateJobRequest withInputs(Collection<JobInput> inputs)

A section of the request body that provides information about the files that are being transcoded.

Parameters:
  `inputs` - A section of the request body that provides information about the files that are being transcoded.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setOutput

    public void setOutput(CreateJobOutput output)

A section of the request body that provides information about the transcoded (target) file. We strongly recommend that you use the `Outputs` syntax instead of the `Output` syntax.

Parameters:
  `output` - A section of the request body that provides information about the transcoded (target) file. We strongly recommend that you use the `Outputs` syntax instead of the `Output` syntax.

#### getOutput

    public CreateJobOutput getOutput()

A section of the request body that provides information about the transcoded (target) file. We strongly recommend that you use the `Outputs` syntax instead of the `Output` syntax.

Returns:
  A section of the request body that provides information about the transcoded (target) file. We strongly recommend that you use the `Outputs` syntax instead of the `Output` syntax.

#### withOutput

    public CreateJobRequest withOutput(CreateJobOutput output)

A section of the request body that provides information about the transcoded (target) file. We strongly recommend that you use the `Outputs` syntax instead of the `Output` syntax.

Parameters:
  `output` - A section of the request body that provides information about the transcoded (target) file. We strongly recommend that you use the `Outputs` syntax instead of the `Output` syntax.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getOutputs

    public List<CreateJobOutput> getOutputs()

A section of the request body that provides information about the transcoded (target) files. We recommend that you use the `Outputs` syntax instead of the `Output` syntax.

Returns:
  A section of the request body that provides information about the transcoded (target) files. We recommend that you use the `Outputs` syntax instead of the `Output` syntax.

#### setOutputs

    public void setOutputs(Collection<CreateJobOutput> outputs)

A section of the request body that provides information about the transcoded (target) files. We recommend that you use the `Outputs` syntax instead of the `Output` syntax.

Parameters:
  `outputs` - A section of the request body that provides information about the transcoded (target) files. We recommend that you use the `Outputs` syntax instead of the `Output` syntax.

#### withOutputs

    public CreateJobRequest withOutputs(CreateJobOutput... outputs)

A section of the request body that provides information about the transcoded (target) files. We recommend that you use the `Outputs` syntax instead of the `Output` syntax.

NOTE: This method appends the values to the existing list (if any). Use `setOutputs(java.util.Collection)` or `withOutputs(java.util.Collection)` if you want to override the existing values.

Parameters:
  `outputs` - A section of the request body that provides information about the transcoded (target) files. We recommend that you use the `Outputs` syntax instead of the `Output` syntax.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withOutputs

    public CreateJobRequest withOutputs(Collection<CreateJobOutput> outputs)

A section of the request body that provides information about the transcoded (target) files. We recommend that you use the `Outputs` syntax instead of the `Output` syntax.

Parameters:
  `outputs` - A section of the request body that provides information about the transcoded (target) files. We recommend that you use the `Outputs` syntax instead of the `Output` syntax.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setOutputKeyPrefix

    public void setOutputKeyPrefix(String outputKeyPrefix)

The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists.

Parameters:
  `outputKeyPrefix` - The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists.

#### getOutputKeyPrefix

    public String getOutputKeyPrefix()

The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists.

Returns:
  The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists.

#### withOutputKeyPrefix

    public CreateJobRequest withOutputKeyPrefix(String outputKeyPrefix)

The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists.

Parameters:
  `outputKeyPrefix` - The value, if any, that you want Elastic Transcoder to prepend to the names of all files that this job creates, including output files, thumbnails, and playlists.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getPlaylists

    public List<CreateJobPlaylist> getPlaylists()

If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), Playlists contains information about the master playlists that you want Elastic Transcoder to create.

The maximum number of master playlists in a job is 30.

Returns:
  If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), Playlists contains information about the master playlists that you want Elastic Transcoder to create.

  The maximum number of master playlists in a job is 30.

#### setPlaylists

    public void setPlaylists(Collection<CreateJobPlaylist> playlists)

If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), Playlists contains information about the master playlists that you want Elastic Transcoder to create.

The maximum number of master playlists in a job is 30.

Parameters:
  `playlists` - If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), Playlists contains information about the master playlists that you want Elastic Transcoder to create.

  The maximum number of master playlists in a job is 30.

#### withPlaylists

    public CreateJobRequest withPlaylists(CreateJobPlaylist... playlists)

If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), Playlists contains information about the master playlists that you want Elastic Transcoder to create.

The maximum number of master playlists in a job is 30.

NOTE: This method appends the values to the existing list (if any). Use `setPlaylists(java.util.Collection)` or `withPlaylists(java.util.Collection)` if you want to override the existing values.

Parameters:
  `playlists` - If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), Playlists contains information about the master playlists that you want Elastic Transcoder to create.

  The maximum number of master playlists in a job is 30.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withPlaylists

    public CreateJobRequest withPlaylists(Collection<CreateJobPlaylist> playlists)

If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), Playlists contains information about the master playlists that you want Elastic Transcoder to create.

The maximum number of master playlists in a job is 30.

Parameters:
  `playlists` - If you specify a preset in `PresetId` for which the value of `Container` is fmp4 (Fragmented MP4) or ts (MPEG-TS), Playlists contains information about the master playlists that you want Elastic Transcoder to create.

  The maximum number of master playlists in a job is 30.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getUserMetadata

    public Map<String,String> getUserMetadata()

User-defined metadata that you want to associate with an Elastic Transcoder job. You specify metadata in `key/value` pairs, and you can add up to 10 `key/value` pairs per job. Elastic Transcoder does not guarantee that `key/value` pairs are returned in the same order in which you specify them.

Returns:
  User-defined metadata that you want to associate with an Elastic Transcoder job. You specify metadata in `key/value` pairs, and you can add up to 10 `key/value` pairs per job. Elastic Transcoder does not guarantee that `key/value` pairs are returned in the same order in which you specify them.

#### setUserMetadata

    public void setUserMetadata(Map<String,String> userMetadata)

User-defined metadata that you want to associate with an Elastic Transcoder job. You specify metadata in `key/value` pairs, and you can add up to 10 `key/value` pairs per job. Elastic Transcoder does not guarantee that `key/value` pairs are returned in the same order in which you specify them.

Parameters:
  `userMetadata` - User-defined metadata that you want to associate with an Elastic Transcoder job. You specify metadata in `key/value` pairs, and you can add up to 10 `key/value` pairs per job. Elastic Transcoder does not guarantee that `key/value` pairs are returned in the same order in which you specify them.

#### withUserMetadata

    public CreateJobRequest withUserMetadata(Map<String,String> userMetadata)

User-defined metadata that you want to associate with an Elastic Transcoder job. You specify metadata in `key/value` pairs, and you can add up to 10 `key/value` pairs per job. Elastic Transcoder does not guarantee that `key/value` pairs are returned in the same order in which you specify them.

Parameters:
  `userMetadata` - User-defined metadata that you want to associate with an Elastic Transcoder job. You specify metadata in `key/value` pairs, and you can add up to 10 `key/value` pairs per job. Elastic Transcoder does not guarantee that `key/value` pairs are returned in the same order in which you specify them.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### addUserMetadataEntry

    public CreateJobRequest addUserMetadataEntry(String key,
                                                 String value)

#### clearUserMetadataEntries

    public CreateJobRequest clearUserMetadataEntries()

Removes all the entries added into UserMetadata.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateJobRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`